Name:           xosd
Version:        2.2.14
Release:    1%{?dist}
Summary:        On-screen display library for X
License:        GPL-2.0-or-later AND GPL-1.0-or-later
URL:            https://sourceforge.net/projects/libxosd/
Source0:         https://downloads.sourceforge.net/libxosd/%{name}-%{version}.tar.gz
Patch0:         %{name}-aclocal18.patch
Patch1:         %{name}-2.2.14-Do-not-install-some-manual-pages-twice.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  coreutils
BuildRequires:  gcc
BuildRequires:  glibc-common
BuildRequires:  libtool
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXinerama-devel
BuildRequires:  make
BuildRequires:  perl-interpreter
Requires:       xorg-x11-fonts-misc

%description
XOSD displays text on your screen, sounds simple right? The difference
is it is unmanaged and shaped, so it appears transparent. This gives
the effect of an On Screen Display, like your TV/VCR etc.

%package        devel
Summary:        Development files for the XOSD on-screen display library
License:        GPL-2.0-or-later AND MIT-open-group
Requires:       %{name} = %{version}-%{release}
Requires:       libX11-devel
Requires:       libXext-devel
Requires:       libXinerama-devel

%description    devel
Header files and documentation for developing applications that use the XOSD
on-screen display.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
sed -i -e '/AM_PATH_GTK/,+1 d' -e '/AM_PATH_XMMS/,+1 d' \
    -e '/AM_PATH_GDK_PIXBUF/,+1 d' configure.ac
autoreconf -i -f
for f in ChangeLog man/xosd_{create,destroy,display,is_onscreen,set_bar_length}.3 ; do
    iconv -f iso-8859-1 -t utf-8 "$f" > "${f}.utf8"
    touch -r "$f" "${f}.utf8"
    mv "${f}.utf8" "$f"
done

%build
%configure --disable-dependency-tracking --disable-static \
    --disable-gtktest --disable-gdk_pixbuftest \
    --disable-new-plugin --disable-old-plugin \
    --disable-beep_media_player_plugin\
    --enable-xinerama
%{make_build}
perl -pi -e "s|$RPM_OPT_FLAGS\\s*|| ; s|\\s*-Wall||" script/xosd-config

%install
%{make_install}
rm -f %{buildroot}{%{_libdir},%{xmms_plugdir}}/*.la
rm -rf %{buildroot}%{_datadir}/%{name}

%files
%license COPYING
%doc AUTHORS ChangeLog README TODO
%{_bindir}/osd_cat
%{_libdir}/libxosd.so.2
%{_libdir}/libxosd.so.2.*
%{_mandir}/man1/osd_cat.1*

%files devel
%{_bindir}/xosd-config
%{_includedir}/xosd.h
%{_libdir}/libxosd.so
%{_datadir}/aclocal/libxosd.m4
%{_mandir}/man1/xosd-config.1*
%{_mandir}/man3/xosd*.3*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.14-1
- initial build
